CURLINFO_SPEED_UPLOAD(3)

NAME
CURLINFO_SPEED_UPLOAD - upload speed

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_SPEED_UPLOAD, double *speed);

DESCRIPTION
Pass a pointer to a double to receive the average upload speed that curl measured for the complete upload. Measured in bytes/second. CURLINFO_SPEED_UPLOAD_T(3) is a newer replacement that returns a more sensible variable type.

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    /* Perform the request */
    result = curl_easy_perform(curl);
    if(result == CURLE_OK) {
      double speed;
      result = curl_easy_getinfo(curl, CURLINFO_SPEED_UPLOAD, &speed);
      if(result == CURLE_OK) {
        printf("Upload speed %.0f bytes/sec\n", speed);
      }
    }
  }
}

DEPRECATED
Deprecated since 7.55.0.

AVAILABILITY
Added in curl 7.4.1

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_SPEED_DOWNLOAD_T(3), curl_easy_getinfo(3), curl_easy_setopt(3)